Subject: Re: [bug#74736] [PATCH v2 0/1] Add Request-For-Comment process.

From: Noé Lopez <[email-masked]>
Date: Fri, 10 Jan 2025 17:48:57 +0100

Simon Tournier <[email-masked]> writes:

> Hi Noé,
>
> On Fri, 10 Jan 2025 at 11:39, Noé Lopez via Guix-patches via <[email-masked]> wrote:
>
>> Can you explain the reasoning for that name?  I don’t think I understand
>> what it means.
>
> Personally, I find ’Guix Common Document’ more self-explanatory than
> Request-for-Comments.  Because once the proposal is accepted or
> withdrawn there is no more request nor comment. ;-)
>
> Well, I know RFC is the usual name for this kind of thing (I also used
> RFC when discussing it).  Nonetheless, I find nicer to not follow such
> “convention”, as for example Python Enhancement Proposals (PEP)
> does. :-) And the term RFC is already too much overloaded in Guix
> mailing list, IMHO.
>
> In addition, I like ’Guix Common Document’ because it expresses what it
> is: our shared (common) direction.  Moreover it echoes with Commons and
> somehow the process tries to capture that: what we collectively want to
> preserve.  Last, pun with mathematical notion of greatest common divisor
> (gcd) [1].
>
> Does it make sense?

Makes sense, we could add the explanation to the readme :)

Thanks,
Noé